[ CCUnit project page ] |  | [ CCUnit home page ]

Data Structures | Functions | Variables

# _Line
[_ReadSuite]

Read one line module. More...

Collaboration diagram for _Line:

## Data Structures
struct | _CCUnitLine
| Read line. More...
## Functions
static int | readline ()
| Get one line from stream.
static char * | readDocCommentContents ()
| read contents of doc comment.
static char * | readDocComment ()
| read document comment.
static const char * | getTestName (CCUnitTestType_t type, const char *str)
| get test def.
static const char * | getEndOfTest (CCUnitTestType_t type, const char *str)
| get end of test string.
static _CCUnitFuncDef * | readTestCase (const char *type, const char *prefix, const char *desc)
| read test casedef.
static void | setFixtureFunc (_CCUnitFuncDef **fpp, _CCUnitFuncDef *fp)
| set fixture function.
static void | readTestFixture (_CCUnitTestSuiteDef *suite, const char *cname)
| read test fixture function.
static void | readSuite (_CCUnitTestSuiteDef *suite)
| read test suite def.
## Variables
static struct _CCUnitLine | line
| Current processing line.
static const char * | testTypeStr []

## Detailed Description

Read one line module.

## Function Documentation

static const char* getEndOfTest | ( | CCUnitTestType_t | type,
|  | const char * | str |
| ) |  |  | `[static]`

get end of test string.

Parameters:

  | type | test type.
  | str | string.

Returns:
  name of test.

References ccunit_dbg(), ccunit_log(), and testTypeStr.

Referenced by readSuite(), and readTestFixture().

Here is the call graph for this function:

Here is the caller graph for this function:

static const char* getTestName | ( | CCUnitTestType_t | type,
|  | const char * | str |
| ) |  |  | `[static]`

get test def.

Parameters:

  | type | test type.
  | str | comment string.

Returns:
  test name.

References ccunit_dbg(), ccunit_err(), line, lno, and testTypeStr.

Referenced by readSuite(), and readTestFixture().

Here is the call graph for this function:

Here is the caller graph for this function:

static char* readDocComment | ( |  | ) | `[static]`

read document comment.

Returns:
  comment content if matched, or NULL if not matched.

References ccunit_dbg(), line, lno, readDocCommentContents(), and str.

Referenced by readSuite(), and readTestFixture().

Here is the call graph for this function:

Here is the caller graph for this function:

static char* readDocCommentContents | ( |  | ) | `[static]`

read contents of doc comment.

Returns:
  comment string. or NULL when error occurred.

References ccunit_dbg(), ccunit_err(), ccunit_log(), length, line, lno, readline(), and str.

Referenced by readDocComment().

Here is the call graph for this function:

Here is the caller graph for this function:

static int readline | ( |  | ) | `[static]`

Get one line from stream.

This case copies a read line on the global variable `line`.

Returns:
  When reading succeeds, value except for the zero is returned. When an error occurs, a zero is returned.

References capacity, ccunit_log(), ifp, length, line, lno, and str.

Referenced by readDocCommentContents(), readSuite(), readTestCase(), and readTestFixture().

Here is the call graph for this function:

Here is the caller graph for this function:

static void readSuite | ( | _CCUnitTestSuiteDef * | suite | ) | `[static]`

read test suite def.

Parameters:

  | suite | test suitedef.

References addTestSuiteDef(), ccunit_err(), ccunit_newTestSuiteDef(), ccunitTypeFixture, ccunitTypeSuite, deleteFuncDef(), fname, getEndOfTest(), getTestName(), line, lno, readDocComment(), readline(), readTestCase(), readTestFixture(), safe_free, and str.

Referenced by ccunit_readSuite().

Here is the call graph for this function:

Here is the caller graph for this function:

static _CCUnitFuncDef* readTestCase | ( | const char * | type,
|  | const char * | prefix,
|  | const char * | desc |
| ) |  |  | `[static]`

read test casedef.

Parameters:

  | type | required type string.
  | prefix | required case name prefix.
  | desc | description.

Returns:
  funcdef object.

References ccunit_dbg(), ccunit_err(), line, newFuncDef(), readline(), and str.

Referenced by readSuite(), and readTestFixture().

Here is the call graph for this function:

Here is the caller graph for this function:

static void readTestFixture | ( | _CCUnitTestSuiteDef * | suite,
|  | const char * | cname |
| ) |  |  | `[static]`

read test fixture function.

Parameters:

  | suite | parent suite.
  | cname | test fixture name to read.

References addTestFixtureDef(), ccunit_addList(), ccunit_log(), ccunitTypeFixture, getEndOfTest(), getTestName(), _CCUnitTestDef::name, newTestFixtureDef(), readDocComment(), readline(), readTestCase(), safe_free, setFixtureFunc(), _CCUnitTestFixtureDef::setUp, _CCUnitTestFixtureDef::setup_setUp, _CCUnitTestFixtureDef::setup_tearDown, _CCUnitTestFixtureDef::tearDown, _CCUnitTestFixtureDef::testCases, and _CCUnitTestFixtureDef::testdef.

Referenced by readSuite().

Here is the call graph for this function:

Here is the caller graph for this function:

static void setFixtureFunc | ( | _CCUnitFuncDef ** | fpp,
|  | _CCUnitFuncDef * | fp |
| ) |  |  | `[static]`

set fixture function.

Parameters:

  | fpp | fixture function adderss.
  | fp | fixture function to set.

References ccunit_err(), deleteFuncDef(), fname, line, lno, and _CCUnitFuncDef::name.

Referenced by readTestFixture().

Here is the call graph for this function:

Here is the caller graph for this function:

## Variable Documentation

struct _CCUnitLine line`[static]`

Current processing line.

Referenced by ccunit_readSuite(), getTestName(), readDocComment(), readDocCommentContents(), readline(), readSuite(), readTestCase(), and setFixtureFunc().

const char* testTypeStr[]`[static]`

Initial value:

     {
      "fixture", "suite"
    }

Referenced by getEndOfTest(), and getTestName().

| hosts this site. |  | Send comments to: CCUnit Developer |